Subject: Re: [PATCH net-next v3 0/2] fix icmp error source address over xfrm tunnel

From: Sabrina Dubroca <[email-masked]>
Date: Mon, 6 May 2024 15:36:15 +0200

2024-05-06, 09:58:26 +0200, Antony Antony wrote:
> Hi,
> This fix, originally intended for XFRM/IPsec, has been recommended by
> Steffen Klassert to submit to the net tree.
> 
> The patch addresses a minor issue related to the IPv4 source address of
> ICMP error messages, which originated from an old 2011 commit:
> 
> 415b3334a21a ("icmp: Fix regression in nexthop resolution during replies.")
> 
> The omission of a "Fixes" tag  in the following commit is deliberate
> to prevent potential test failures and subsequent regression issues
> that may arise from backporting this patch all stable kerenels.

What kind of regression do you expect? If there's a risk of
regression, I'm not sure net-next is that much "better" than net or
stable. If a user complains about the new behavior breaking their
setup, my understanding is that you would likely have to revert the
patch anyway, or at least add some way to toggle the behavior.

-- 
Sabrina